> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--vibesec/queries/get-guideline-details.md).

# getGuidelineDetails

Get full details of a specific guideline by ID.

### Examples

{% tabs %}
{% tab title="GraphQL" %}

```graphql
query GetGuidelineDetails($id: String!) {
  getGuidelineDetails(id: $id) {
    _id
    oxGuidelineId
    languages
    displayName
    description
    prompt
    promptSections {
      type
      value
      order
    }
    activationCriteria
    activationCriteriaDefinition {
      displayName
      description
      category
    }
    status
    isEditable
    createdBy
    createdAt
    updatedBy
    updatedAt
    category
    isDeleted
    isReady
    examplePrompt
  }
}
```

#### Variables

This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.

```json
{
  "id": "example"
}
```

{% endtab %}

{% tab title="cURL" %}

```shell
curl -X POST \
https://api.cloud.ox.security/api/apollo-gateway \
-H 'Content-Type: application/json' \
-H 'Authorization: YOUR_API_TOKEN' \
-d '{
 "query": "query GetGuidelineDetails($id: String!) { getGuidelineDetails(id: $id) { _id oxGuidelineId languages displayName description prompt promptSections { type value order } activationCriteria activationCriteriaDefinition { displayName description category } status isEditable createdBy createdAt updatedBy updatedAt category isDeleted isReady examplePrompt } }",
 "variables": {
    "id": "example"
  }
}'
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const query = 'query GetGuidelineDetails($id: String!) { getGuidelineDetails(id: $id) { _id oxGuidelineId languages displayName description prompt promptSections { type value order } activationCriteria activationCriteriaDefinition { displayName description category } status isEditable createdBy createdAt updatedBy updatedAt category isDeleted isReady examplePrompt } }';

fetch("https://api.cloud.ox.security/api/apollo-gateway", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  body: JSON.stringify({
    query: query,
    // This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    variables: {
      id: "example"
    }
  })
})
.then(response => response.json())
.then(result => console.log(JSON.stringify(result, null, 2)))
.catch(error => console.error('Error:', error));
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

query = 'query GetGuidelineDetails($id: String!) { getGuidelineDetails(id: $id) { _id oxGuidelineId languages displayName description prompt promptSections { type value order } activationCriteria activationCriteriaDefinition { displayName description category } status isEditable createdBy createdAt updatedBy updatedAt category isDeleted isReady examplePrompt } }'

response = requests.post(
  "https://api.cloud.ox.security/api/apollo-gateway",
  headers={
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  json={
    "query": query,
    # This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    "variables": {
      "id": "example"
    }
  }
)

if response.status_code == 200:
    result = response.json()
    print(result)
else:
    print(f"Error: {response.status_code}")
    print(response.text)
```

{% endtab %}
{% endtabs %}

### Arguments

You can use the following argument(s) to customize your `getGuidelineDetails` query.

| Argument                                                                   | Description                     | Supported fields |
| -------------------------------------------------------------------------- | ------------------------------- | ---------------- |
| id `String!` <mark style="color:red;background-color:red;">required</mark> | ID of the guideline to retrieve |                  |

### Fields

Return type: [`GuidelineDetails!`](/api-documentation/api-reference/api--vibesec/types/objects/guideline-details.md)

You can use the following field(s) to specify what information your `getGuidelineDetails` query will return. Please note that some fields may have their own subfields.

| Field                                                                                                                                                                         | Description                                               | Supported fields                                                                                                                                                                                        |
| ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| \_id `String!`                                                                                                                                                                | Guideline ID                                              |                                                                                                                                                                                                         |
| oxGuidelineId `String`                                                                                                                                                        | OX Guideline ID (if this is an OX guideline)              |                                                                                                                                                                                                         |
| languages [`[GuidelineLanguage!]!`](/api-documentation/api-reference/api--vibesec/types/enums/guideline-language.md)                                                          | Languages this guideline is applicable to                 |                                                                                                                                                                                                         |
| displayName `String!`                                                                                                                                                         | Display name of the guideline                             |                                                                                                                                                                                                         |
| description `String`                                                                                                                                                          | Description of the guideline                              |                                                                                                                                                                                                         |
| prompt `String!`                                                                                                                                                              | Prompt of the guideline as text                           |                                                                                                                                                                                                         |
| promptSections [`[PromptSectionResponse!]`](/api-documentation/api-reference/api--vibesec/types/objects/prompt-section-response.md)                                           | Prompt of the guidelines as sections (future enhancement) | <p>type <a href="/api-documentation/api-reference/api--vibesec/types/enums/prompt-section-type.md"><code>PromptSectionType!</code></a><br>value <code>String!</code><br>order <code>Float!</code></p>   |
| activationCriteria `String!`                                                                                                                                                  | Activation criteria of the guideline                      |                                                                                                                                                                                                         |
| activationCriteriaDefinition [`ActivationCriteriaDefinitionResponse`](/api-documentation/api-reference/api--vibesec/types/objects/activation-criteria-definition-response.md) | Activation criteria definition of the guideline           | <p>displayName <code>String!</code><br>description <code>String!</code><br>category <a href="/api-documentation/api-reference/api--vibesec/types/enums/category-id.md"><code>CategoryId!</code></a></p> |
| status [`GuidelineStatus!`](/api-documentation/api-reference/api--vibesec/types/enums/guideline-status.md)                                                                    | Status of the guideline (Enabled or Disabled)             |                                                                                                                                                                                                         |
| isEditable `Boolean!`                                                                                                                                                         | Whether the guideline is editable                         |                                                                                                                                                                                                         |
| createdBy `String!`                                                                                                                                                           | User who created the guideline                            |                                                                                                                                                                                                         |
| createdAt `DateTime!`                                                                                                                                                         | Creation timestamp                                        |                                                                                                                                                                                                         |
| updatedBy `String!`                                                                                                                                                           | User who last updated the guideline                       |                                                                                                                                                                                                         |
| updatedAt `DateTime!`                                                                                                                                                         | Last update timestamp                                     |                                                                                                                                                                                                         |
| category [`CategoryId!`](/api-documentation/api-reference/api--vibesec/types/enums/category-id.md)                                                                            | Category of the guideline                                 |                                                                                                                                                                                                         |
| isDeleted `Boolean!`                                                                                                                                                          | Whether the guideline is deleted                          |                                                                                                                                                                                                         |
| isReady `Boolean!`                                                                                                                                                            | Whether the guideline is ready                            |                                                                                                                                                                                                         |
| examplePrompt `String`                                                                                                                                                        | Example prompt that the guideline should be triggered for |                                                                                                                                                                                                         |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ox.security/api-documentation/api-reference/api--vibesec/queries/get-guideline-details.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
